# class Gdk::Rectangle

### Public Class Methods

new(x, y, width, height) click to toggle source

    # File lib/gdk3/rectangle.rb, line 20
    def initialize(x, y, width, height)
      initialize_raw
      self.x = x
      self.y = y
      self.width = width
      self.height = height
    end

Also aliased as: initialize_raw

### Public Instance Methods

==(other) click to toggle source

    # File lib/gdk3/rectangle.rb, line 50
    def ==(other)
      other.is_a?(self.class) and
        self.to_a == other.to_a
    end

initialize_raw(x, y, width, height)
Alias for: new
inspect() click to toggle source
Calls superclass method

    # File lib/gdk3/rectangle.rb, line 38
    def inspect
      super.gsub(/>\z/) do
        " x=#{x.inspect} y=#{y.inspect} " +
          "width=#{width.inspect} height=#{height.inspect}>"
      end
    end

intersect(other) click to toggle source

    # File lib/gdk3/rectangle.rb, line 29
    def intersect(other)
      intersected, dest = intersect_raw(other)
      if intersected
        dest
      else
        nil
      end
    end

Also aliased as: intersect_raw
intersect_raw(other)
Alias for: intersect
to_a() click to toggle source

    # File lib/gdk3/rectangle.rb, line 45
    def to_a
      [x, y, width, height]
    end